Page MenuHomePhabricator

Accessibility of diff pages from Notifications
Closed, ResolvedPublic

Description

There are three types of Notifications that do not have 'View changes' as a secondary link: flow-post-edited, flow-summary-edit, and flow-topic-renamed.
Users' experience may be improved if they can access&view changes made to posts, topic titles, and summaries directly from Notifications.
The reasons

  • these types of Notifications inform users about changes in content. Changes in content are best presented via diff pages ('View changes' option as a secondary link)
  • presently the discrepancies exist in how diff pages are accessed : e.g. flow-post-edited does not have 'View changes', but flowusertalk-post-edited does.

The table below summarizes accessibility of 'View changes' for different types of Notifications.

Primary link "View changes "Secondary link "View changes"
revertedYes-
flow-post-edited--
flowusertalk-post-edited-Yes
flow-summary-edit--
flowboard-description-edited-Yes
flow-topic-renamed--
flowusertalk-topic-renamed-Yes

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 2 2016, 5:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

The fact that the flowusertalk ones have "View changes" as secondary but the non-usertalk ones don't makes some sense, because the non-usertalk ones need the page/board to be the secondary link (for usertalk this is omitted). We could add "View changes" as a tertiary link (in the dotdotdot menu) in those cases.

jmatazzoni added a subscriber: jmatazzoni.

Note: these View Changes links are the third links for their respective notifications. They should be placed in the dotdotdot menu.

SBisson claimed this task.Jun 29 2016, 2:31 PM
SBisson removed SBisson as the assignee of this task.
SBisson added a subscriber: SBisson.
SBisson claimed this task.Jun 29 2016, 2:34 PM

Change 296592 had a related patch set uploaded (by Sbisson):
Add missing diff link to some flow notifications

https://gerrit.wikimedia.org/r/296592

Change 296592 merged by jenkins-bot:
Add missing diff link to some flow notifications

https://gerrit.wikimedia.org/r/296592

Checked in betalabs - 'View changes' is added to the dotdotdot menu options for

  • flow-post-edited
  • flow-summary-edit
  • flow-topic-renamed

Example for flow-post-edited

jmatazzoni closed this task as Resolved.Jul 5 2016, 10:37 PM

I noted these changes on the notification spreadsheet, for future reference.